



import 'package:clean_application/src/util/result.dart';

/// A class to send parameter to call a use case
/// Must be extended
class UseCaseParam {

}

/// Usecase represent a class with a single concern.
/// T is the type to be returned
abstract class UseCase<T, Param extends UseCaseParam> {

  Future<Result<T>> call(Param params);

}